# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.2

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/erris/projects/open_engine

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/erris/projects/open_engine

# Include any dependencies generated for this target.
include open_engine/lib/CMakeFiles/glad.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include open_engine/lib/CMakeFiles/glad.dir/compiler_depend.make

# Include the progress variables for this target.
include open_engine/lib/CMakeFiles/glad.dir/progress.make

# Include the compile flags for this target's objects.
include open_engine/lib/CMakeFiles/glad.dir/flags.make

open_engine/lib/CMakeFiles/glad.dir/codegen:
.PHONY : open_engine/lib/CMakeFiles/glad.dir/codegen

open_engine/lib/CMakeFiles/glad.dir/src/glad/glad.c.o: open_engine/lib/CMakeFiles/glad.dir/flags.make
open_engine/lib/CMakeFiles/glad.dir/src/glad/glad.c.o: open_engine/vendor/glad/src/glad/glad.c
open_engine/lib/CMakeFiles/glad.dir/src/glad/glad.c.o: open_engine/lib/CMakeFiles/glad.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/erris/projects/open_engine/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building C object open_engine/lib/CMakeFiles/glad.dir/src/glad/glad.c.o"
	cd /home/erris/projects/open_engine/open_engine/lib && /usr/bin/clang $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT open_engine/lib/CMakeFiles/glad.dir/src/glad/glad.c.o -MF CMakeFiles/glad.dir/src/glad/glad.c.o.d -o CMakeFiles/glad.dir/src/glad/glad.c.o -c /home/erris/projects/open_engine/open_engine/vendor/glad/src/glad/glad.c

open_engine/lib/CMakeFiles/glad.dir/src/glad/glad.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing C source to CMakeFiles/glad.dir/src/glad/glad.c.i"
	cd /home/erris/projects/open_engine/open_engine/lib && /usr/bin/clang $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/erris/projects/open_engine/open_engine/vendor/glad/src/glad/glad.c > CMakeFiles/glad.dir/src/glad/glad.c.i

open_engine/lib/CMakeFiles/glad.dir/src/glad/glad.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling C source to assembly CMakeFiles/glad.dir/src/glad/glad.c.s"
	cd /home/erris/projects/open_engine/open_engine/lib && /usr/bin/clang $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/erris/projects/open_engine/open_engine/vendor/glad/src/glad/glad.c -o CMakeFiles/glad.dir/src/glad/glad.c.s

# Object files for target glad
glad_OBJECTS = \
"CMakeFiles/glad.dir/src/glad/glad.c.o"

# External object files for target glad
glad_EXTERNAL_OBJECTS =

open_engine/lib/libglad.a: open_engine/lib/CMakeFiles/glad.dir/src/glad/glad.c.o
open_engine/lib/libglad.a: open_engine/lib/CMakeFiles/glad.dir/build.make
open_engine/lib/libglad.a: open_engine/lib/CMakeFiles/glad.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/home/erris/projects/open_engine/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Linking C static library libglad.a"
	cd /home/erris/projects/open_engine/open_engine/lib && $(CMAKE_COMMAND) -P CMakeFiles/glad.dir/cmake_clean_target.cmake
	cd /home/erris/projects/open_engine/open_engine/lib && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/glad.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
open_engine/lib/CMakeFiles/glad.dir/build: open_engine/lib/libglad.a
.PHONY : open_engine/lib/CMakeFiles/glad.dir/build

open_engine/lib/CMakeFiles/glad.dir/clean:
	cd /home/erris/projects/open_engine/open_engine/lib && $(CMAKE_COMMAND) -P CMakeFiles/glad.dir/cmake_clean.cmake
.PHONY : open_engine/lib/CMakeFiles/glad.dir/clean

open_engine/lib/CMakeFiles/glad.dir/depend:
	cd /home/erris/projects/open_engine && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/erris/projects/open_engine /home/erris/projects/open_engine/open_engine/vendor/glad /home/erris/projects/open_engine /home/erris/projects/open_engine/open_engine/lib /home/erris/projects/open_engine/open_engine/lib/CMakeFiles/glad.dir/DependInfo.cmake "--color=$(COLOR)" glad
.PHONY : open_engine/lib/CMakeFiles/glad.dir/depend

